library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

-- Uncomment the following lines to use the declarations that are
-- provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity parity_generator is
  port (
    data     : in  std_logic_vector (5 downto 0);
    PR1, PR0 : out std_logic
  );
end parity_generator;

architecture Behavioral of parity_generator is

begin
  PR0 <= data(0) xor data(1) xor data(2) xor data(4);
  PR1 <= not (data(1) xor data(3) xor data(4) xor data(5));
end Behavioral;
